Subject: [Acme] Registering a PEM Content-Type

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Mon, 13 Feb 2017 13:51:16 -0800

>From the WGLC thread, Russ Housley said:

> Section 6.4.2 says:
>  The default format of the certificate is PEM (application/x-pem-file)
>  as specified by [RFC7468]. ... The client may request other formats by
>  including an Accept header in its request.  For example, the client
>  may use the media type application/pkix-cert to request the end-
>  entity certificate in DER format.
>
> RFC 7468 defines the textual encoding for certificates, but it does not define the application/x-pem-file media type.  I cannot find a registration for the application/x-pem-file media type.

This is a good point. Should we register x-pem-file as part of this RFC? Or come up with a new, more specific media type, like application/pem-certificate-chain?

---

From: Daniel McCarney <[email-masked]>
Date: Thu, 16 Feb 2017 16:37:08 -0500

> This is a good point. Should we register x-pem-file as part of this RFC?
Or
> come up with a new, more specific media type, like
> application/pem-certificate-chain?

Of the two options my vote would be for `application/pem-certificate-chain`
as
the better choice.

On Mon, Feb 13, 2017 at 4:51 PM, Jacob Hoffman-Andrews <[email-masked]> wrote:

> > RFC 7468 defines the textual encoding for certificates, but it does not
> define the application/x-pem-file media type.  I cannot find a registration
> for the application/x-pem-file media type.
>
> This is a good point. Should we register x-pem-file as part of this RFC?
> Or come up with a new, more specific media type, like
> application/pem-certificate-chain?
>
> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme
>

---

From: Richard Barnes <[email-masked]>
Date: Thu, 16 Feb 2017 17:41:05 -0500

It seems simplest to me to just register "application/x-pem-file" with a
pointer to RFC 7468.

RFC 6838 is a little unclear on what's required in this case, but it looks
like the most would be an IETF document, in which I expect a small
AD-sponsored draft would suffice.

---

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Thu, 16 Feb 2017 15:01:10 -0800

On 02/16/2017 02:41 PM, Richard Barnes wrote:
> It seems simplest to me to just register "application/x-pem-file" with
> a pointer to RFC 7468.
Why that as opposed to application/pem-certificate-chain. x-pem-file has
some existing use but it is very small, and pem-certificate-chain is
much more specific. A pem file can contain any number of things: a
certificate, a private key, a CSR, etc.

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 17 Feb 2017 00:11:17 +0000

I think you need application/pem-cert-list, which is a collection of PEM certificates as defined in RFC 7468.

Should be easy to add that as an appendix to the draft.

I suggest cert-list not chain, to show that no ordering is implied.

---

From: Clint Wilson <[email-masked]>
Date: Fri, 17 Feb 2017 02:57:32 +0000

+1 for application/pem-cert-list.